Subject: [tcpm] I-D Action: draft-ietf-tcpm-proportional-rate-reduction-00.txt

From: [email-masked]
Date: Tue, 25 Oct 2011 13:48:56 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the TCP Maintenance and Minor Extensions Working Group of the IETF.

	Title           : Proportional Rate Reduction for TCP
	Author(s)       : Matt Mathis
                          Nandita Dukkipati
                          Yuchung Cheng
	Filename        : draft-ietf-tcpm-proportional-rate-reduction-00.txt
	Pages           : 15
	Date            : 2011-10-24

   This document describes an experimental algorithm, Proportional Rate
   Reduction (PPR) to improve the accuracy of the amount of data sent by
   TCP during loss recovery.  Standard Congestion Control requires that
   TCP and other protocols reduce their congestion window in response to
   losses.  This window reduction naturally occurs in the same round
   trip as the data retransmissions to repair the losses, and is
   implemented by choosing not to transmit any data in response to some
   ACKs arriving from the receiver.  Two widely deployed algorithms are
   used to implement this window reduction: Fast Recovery and Rate
   Halving.  Both algorithms are needlessly fragile under a number of
   conditions, particularly when there is a burst of losses that such
   that the number of ACKs returning to the sender is small.
   Proportional Rate Reduction avoids these excess window reductions
   such that at the end of recovery the actual window size will be as
   close as possible to ssthresh, the window size determined by the
   congestion control algorithm.  It is patterned after Rate Halving,
   but using the fraction that is appropriate for target window chosen
   by the congestion control algorithm.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-tcpm-proportional-rate-reduction-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-tcpm-proportional-rate-reduction-00.txt